/******************************************************************************/
/* @(#)57       1.1  src/patch/6.1.0-TIV-ITM_ADO-FP0001/k3z_upg.sql, k3z, ommsactd_FP3, 200605240144 5/24/06 00:06:06                                              */
/*                                                                            */
/* COMPONENT_NAME: k3z                                                        */
/*                                                                            */
/* FUNCTIONS:                                                                 */
/*                                                                            */
/* Date: 5/24/06 00:06:06                                                              */
/*                                                                            */
/* Source: src/patch/6.1.0-TIV-ITM_ADO-FP0001/k3z_upg.sql, k3z, ommsactd_FP3, 200605240144                                                                */
/*                                                                            */
/* Revision: 1.1                                                              */
/*                                                                            */
/* ORIGINS:                                                                   */
/*                                                                            */
/* $Id:                                                                       */
/*                                                                            */
/******************************************************************************/
/* Licensed Materials - Property of IBM                               */
/* 5724-C71                                                           */
/*                                                                    */
/* Copyright IBM Corp. 2005 All Rights Reserved                       */
/* US Government Users Restricted Rights - Use, duplication or        */
/* disclosure restricted by GSA ADP Schedule Contract with            */
/* IBM Corp                                                           */  
/**********************************************************************/

/*       ATTENTION: ONLY PLACE CHANGED OR NEW SITUATIONS IN THIS FILE         */

/* Situations */
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#*########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324145439000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Domain_Controller_Performance.K3Z_DCP_DSA_Connections *GT
 20",
   "E",
   "0",
   "000500",
   "*NONE",
   "DCPerf_NTDS_Conn_High_Warning",
   "K3z:K3Z1439",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324150153000",
   "V100",
   "IBM",
   "",
   "*IF ( ( *VALUE Domain_Controller_Availability.K3Z_DCA_Site_Name *EQ 
'Default-First-Site-Name' ) *OR ( *VALUE Domain_Controller_Availability.
K3Z_DCA_Site_Name *EQ 'Nombre-Predeterminado-Primer-Sitio' ) *OR ( *VALU
E Domain_Controller_Availability.K3Z_DCA_Site_Name *EQ 'Nome-de-primeiro
-site-predefinido' ) *OR ( *VALUE Domain_Controller_Availability.K3Z_DCA
_Site_Name *EQ 'Premier-Site-par-defaut' ) *OR ( *VALUE Domain_Controlle
r_Availability.K3Z_DCA_Site_Name *EQ 'Standardname-des-ersten-Standorts'
 ) )",
   "E",
   "0",
   "001500",
   "*NONE",
   "DC_Default_First_Site_Warning",
   "K3z:K3Z1440",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324150122000",
   "V100",
   "IBM",
   "",
   "*IF ( ( *VALUE Domain_Controller_Availability.K3Z_DCA_Schema_Master 
*NE 'Domain_Controller_Availability.K3Z_DCA_Prev_Schema_Master' ) *OR ( 
*VALUE Domain_Controller_Availability.K3Z_DCA_RID_Master *NE 'Domain_Con
troller_Availability.K3Z_DCA_Prev_RID_Master' ) *OR ( *VALUE Domain_Cont
roller_Availability.K3Z_DCA_PDC_Master *NE 'Domain_Controller_Availabili
ty.K3Z_DCA_Prev_PDC_Master' ) *OR ( *VALUE Domain_Controller_Availabilit
y.K3Z_DCA_Infrastructure_Master *NE 'Domain_Controller_Availability.K3Z_
DCA_Prev_Infrastructure_Master' ) *OR ( *VALUE Domain_Controller_Availab
ility.K3Z_DCA_Domain_Naming_Master *NE 'Domain_Controller_Availability.K
3Z_DCA_Prev_Domain_Naming_Master' ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "DC_FSMO_Transfer_Warning",
   "K3z:K3Z1441",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324145726000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Replication.K3Z_DRA_Inbound_Bytes_Intersite_Percent *GT 7
0",
   "E",
   "0",
   "000500",
   "*NONE",
   "DRA_Intersite_Percent_High_Warn",
   "K3z:K3Z1442",
   "NNN",
   "COUNT=2;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324145732000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Replication.K3Z_DRA_NetTime_Status *NE 0",
   "E",
   "0",
   "000500",
   "*NONE",
   "DRA_NTP_Connection_Blocked_Warn",
   "K3z:K3Z1443",
   "NNN",
   "SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324143608000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE GPO.K3Z_GPO_Version *NE GPO.K3Z_GPO_Sysvol_Version",
   "E",
   "0",
   "000200",
   "*NONE",
   "GPO_Inconsistent_Warning",
   "K3z:K3Z1444",
   "NNN",
   "ATOM=K3ZNTDSGPO.GPONAM;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324145558000",
   "V100",
   "IBM",
   "",
   "*IF ( ( *VALUE Replication_Partner_Latency.K3Z_RLT_Clock_Change_Delt
a *GT 5 ) *OR ( *VALUE Replication_Partner_Latency.K3Z_RLT_Clock_Change_
Delta *LT -5 ) )",
   "E",
   "0",
   "000500",
   "*NONE",
   "Repl_Part_Clock_Change_Warning",
   "K3z:K3Z1438",
   "NNY",
   "ATOM=K3ZNTDSRLT.RLTPART;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324145607000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Replication_Partner_Latency.K3Z_RLT_Replication_Latency *
GT 3600",
   "E",
   "0",
   "001500",
   "*NONE",
   "Replication_Latent_Warning",
   "K3z:K3Z1445",
   "NNN",
   "ATOM=K3ZNTDSRLT.RLTPART;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324145614000",
   "V100",
   "IBM",
   "",
   "*IF ( ( *VALUE Replication_Partner_Latency.K3Z_RLT_Clock_Delta *GT 1
) *OR ( *VALUE Replication_Partner_Latency.K3Z_RLT_Clock_Delta *LT -1 ) 
)",
   "E",
   "0",
   "000500",
   "*NONE",
   "Replication_Partner_Unsync_Warn",
   "K3z:K3Z1446",
   "NNN",
   "ATOM=K3ZNTDSRLT.RLTPART;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
  
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324142556000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Trust.K3Z_Trust_Added *EQ 'TRUE'",
   "E",
   "0",
   "000500",
   "*NONE",
   "Trust_Added_Warning",
   "K3z:K3Z1447",
   "NNN",
   "ATOM=K3ZNTDSTRS.TRSDOMNAM;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324142606000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Trust.K3Z_Trust_Dropped *EQ 'TRUE'",
   "E",
   "0",
   "000500",
   "*NONE",
   "Trust_Dropped_Warning",
   "K3z:K3Z1448",
   "NNN",
   "ATOM=K3ZNTDSTRS.TRSDOMNAM;SEV=Warning;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000000010000#y########F",
   "",
   "*NO",
   "",
   "en_US",
   "1060324142803000",
   "V100",
   "IBM",
   "",
   "*IF *VALUE Trust.K3Z_Trust_Status *EQ 'Failed'",
   "E",
   "0",
   "000500",
   "*NONE",
   "Trust_Failing_Critical",
   "K3z:K3Z1449",
   "NNN",
   "ATOM=K3ZNTDSTRS.TRSDOMNAM;SEV=Critical;~",
   'ADVICE("k3z:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

/* Object activation list */  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "DCPerf_NTDS_Conn_High_Warning",
   "Y",
   "1060224160125000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "DC_Default_First_Site_Warning",
   "Y",
   "1060224161610000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "DC_FSMO_Transfer_Warning",
   "Y",
   "1060224162302000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "DRA_Intersite_Percent_High_Warn",
   "Y",
   "1060224152404000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "DRA_NTP_Connection_Blocked_Warn",
   "Y",
   "1060224152137000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "GPO_Inconsistent_Warning",
   "Y",
   "1060224121614000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "Repl_Part_Clock_Change_Warning",
   "Y",
   "1060317111144000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "Replication_Latent_Warning",
   "Y",
   "1060224134450000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "Replication_Partner_Unsync_Warn",
   "Y",
   "1060224151935000",
   "",
   "",
   "5140"
  );
  
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "Trust_Added_Warning",
   "Y",
   "1060224110635000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "Trust_Dropped_Warning",
   "Y",
   "1060224121143000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*WINDOWS_SERVER_ADSI",
   "Trust_Failing_Critical",
   "Y",
   "1060324142803000",
   "",
   "",
   "5140"
  );
